﻿using OASystem.Domain.Entities.System;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.System
{
    public class MessageView : Sys_Message
    {
    }

    /// <summary>
    /// 可于都消息返回视图
    /// </summary>
    public class ReadbleMessageView
    {
        /// <summary>
        /// 消息类型
        /// 1 系统消息
        /// 2 团组消息
        /// 3 个人消息
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 消息标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 消息内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 发布部门
        /// </summary>
        public string IssuerDep { get; set; }

        /// <summary>
        /// 发布者
        /// </summary>
        public string IssuerUser { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        public DateTime ReleaseTime { get; set; }

        /// <summary>
        /// 可阅读员工Id
        /// </summary>
        public int ReadableUId { get; set; }

        /// <summary>
        /// 是否阅读
        /// 0 未阅读
        /// 1 已阅读
        /// </summary>
        public int IsRead { get; set; }

        /// <summary>
        /// 阅读时间
        /// </summary>
        public DateTime? ReadTime { get; set; }
    }

}
